public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/
@ 2022-12-24 22:26 Maciej Barć
  0 siblings, 0 replies; 7+ messages in thread
From: Maciej Barć @ 2022-12-24 22:26 UTC (permalink / raw
  To: gentoo-commits

commit:     889a3cff4fa58c3b06643479ec34656758c52315
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 24 21:28:46 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Dec 24 22:26:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=889a3cff

sci-mathematics/flocq: new package; add 4.1.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/flocq/Manifest           |  1 +
 sci-mathematics/flocq/flocq-4.1.0.ebuild | 31 +++++++++++++++++++++++++++++++
 sci-mathematics/flocq/metadata.xml       | 18 ++++++++++++++++++
 3 files changed, 50 insertions(+)

diff --git a/sci-mathematics/flocq/Manifest b/sci-mathematics/flocq/Manifest
new file mode 100644
index 000000000000..f04ae7c7ad49
--- /dev/null
+++ b/sci-mathematics/flocq/Manifest
@@ -0,0 +1 @@
+DIST flocq-4.1.0.tar.gz 447412 BLAKE2B 1b993a0e86bd440602b16b94ed5aff4b95a3c732eca87c683d239702b285dee8eaaf7dad77f730ae4929bb24504e5fd12b9a181d48efac4c3db7f0606637c018 SHA512 677e0de1406b3c7e5504d114a5b18ec07c719bbad79a2cfb750ac309fd5ab09be5493afdb1786b5a188cece59fddcd4167e28bf3be4facbdea8fe3b11cdf1ab1

diff --git a/sci-mathematics/flocq/flocq-4.1.0.ebuild b/sci-mathematics/flocq/flocq-4.1.0.ebuild
new file mode 100644
index 000000000000..f48862539920
--- /dev/null
+++ b/sci-mathematics/flocq/flocq-4.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multiprocessing
+
+DESCRIPTION="Formalization of floating-point arithmetic for the Coq proof assistant"
+HOMEPAGE="http://flocq.gforge.inria.fr/
+	https://gitlab.inria.fr/flocq/flocq/"
+SRC_URI="https://flocq.gitlabpages.inria.fr/releases/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=sci-mathematics/coq-8.12"
+BDEPEND="${RDEPEND}"
+
+src_compile() {
+	./remake --jobs=$(makeopts_jobs) || die
+}
+
+src_install() {
+	DESTDIR="${D}" ./remake install || die
+
+	dodoc AUTHORS INSTALL.md NEWS.md README.md
+
+	insinto /usr/share/${PN}
+	doins -r examples
+}

diff --git a/sci-mathematics/flocq/metadata.xml b/sci-mathematics/flocq/metadata.xml
new file mode 100644
index 000000000000..4514b79800af
--- /dev/null
+++ b/sci-mathematics/flocq/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>sci-mathematics@gentoo.org</email>
+    <name>Gentoo Mathematics Project</name>
+  </maintainer>
+  <longdescription>
+    Flocq (Floats for Coq) is a formalization of floating-point arithmetic for
+    the Coq proof assistant. It provides a comprehensive library of theorems on
+    a multi-radix multi-precision arithmetic. It also supports efficient
+    numerical computations inside Coq.
+  </longdescription>
+  <upstream>
+    <bugs-to>https://gitlab.inria.fr/flocq/flocq/-/issues/</bugs-to>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/
@ 2023-02-16 11:59 Maciej Barć
  0 siblings, 0 replies; 7+ messages in thread
From: Maciej Barć @ 2023-02-16 11:59 UTC (permalink / raw
  To: gentoo-commits

commit:     f0fa8cbb62c755c347fca77a212d6f0ceb1d89ba
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 16 11:51:11 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Feb 16 11:55:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0fa8cbb

sci-mathematics/flocq: fix deps

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 .../flocq/{flocq-4.1.0.ebuild => flocq-4.1.0-r1.ebuild}          | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/sci-mathematics/flocq/flocq-4.1.0.ebuild b/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
similarity index 83%
rename from sci-mathematics/flocq/flocq-4.1.0.ebuild
rename to sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
index f48862539920..f70775d38f46 100644
--- a/sci-mathematics/flocq/flocq-4.1.0.ebuild
+++ b/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -14,8 +14,11 @@ LICENSE="LGPL-3"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
 
-RDEPEND=">=sci-mathematics/coq-8.12"
-BDEPEND="${RDEPEND}"
+RDEPEND="
+	dev-lang/ocaml:=
+	>=sci-mathematics/coq-8.12:=
+"
+DEPEND="${RDEPEND}"
 
 src_compile() {
 	./remake --jobs=$(makeopts_jobs) || die


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/
@ 2023-04-01 22:57 Maciej Barć
  0 siblings, 0 replies; 7+ messages in thread
From: Maciej Barć @ 2023-04-01 22:57 UTC (permalink / raw
  To: gentoo-commits

commit:     63e7f70de010945b04f0666c2f18704d552c2b6e
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  1 21:48:45 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Apr  1 22:35:48 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63e7f70d

sci-mathematics/flocq: bump to 4.1.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/flocq/Manifest           |  1 +
 sci-mathematics/flocq/flocq-4.1.1.ebuild | 34 ++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/sci-mathematics/flocq/Manifest b/sci-mathematics/flocq/Manifest
index f04ae7c7ad49..094cfd9c64ee 100644
--- a/sci-mathematics/flocq/Manifest
+++ b/sci-mathematics/flocq/Manifest
@@ -1 +1,2 @@
 DIST flocq-4.1.0.tar.gz 447412 BLAKE2B 1b993a0e86bd440602b16b94ed5aff4b95a3c732eca87c683d239702b285dee8eaaf7dad77f730ae4929bb24504e5fd12b9a181d48efac4c3db7f0606637c018 SHA512 677e0de1406b3c7e5504d114a5b18ec07c719bbad79a2cfb750ac309fd5ab09be5493afdb1786b5a188cece59fddcd4167e28bf3be4facbdea8fe3b11cdf1ab1
+DIST flocq-4.1.1.tar.gz 450132 BLAKE2B 00821a3e135156640320d1afd548bc1912953bba64cc675b7b6c94b4e3c792c444bfbb4ef1a3352adefa466548083e32c2b1e4b38747dcbc6ac6de6d72250a74 SHA512 7076b8d5e33b8225e0124b9f66f4e3e1ed3e30804c5bca28e30d5e176c1b8c5c3d777a28c243fada17ab4ed32f580c6d606b11f045d48f7acb15e03db59870c4

diff --git a/sci-mathematics/flocq/flocq-4.1.1.ebuild b/sci-mathematics/flocq/flocq-4.1.1.ebuild
new file mode 100644
index 000000000000..f70775d38f46
--- /dev/null
+++ b/sci-mathematics/flocq/flocq-4.1.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multiprocessing
+
+DESCRIPTION="Formalization of floating-point arithmetic for the Coq proof assistant"
+HOMEPAGE="http://flocq.gforge.inria.fr/
+	https://gitlab.inria.fr/flocq/flocq/"
+SRC_URI="https://flocq.gitlabpages.inria.fr/releases/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-lang/ocaml:=
+	>=sci-mathematics/coq-8.12:=
+"
+DEPEND="${RDEPEND}"
+
+src_compile() {
+	./remake --jobs=$(makeopts_jobs) || die
+}
+
+src_install() {
+	DESTDIR="${D}" ./remake install || die
+
+	dodoc AUTHORS INSTALL.md NEWS.md README.md
+
+	insinto /usr/share/${PN}
+	doins -r examples
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/
@ 2023-04-11 14:18 Maciej Barć
  0 siblings, 0 replies; 7+ messages in thread
From: Maciej Barć @ 2023-04-11 14:18 UTC (permalink / raw
  To: gentoo-commits

commit:     66e46e9f808925425d9ba22f89d0794ce3fafa87
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 11 12:02:16 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Apr 11 14:17:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66e46e9f

sci-mathematics/flocq: ignore CFLAGS for ML/Coq code

Closes: https://bugs.gentoo.org/904156
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/flocq/flocq-4.1.0-r1.ebuild | 3 +++
 sci-mathematics/flocq/flocq-4.1.1.ebuild    | 3 +++
 2 files changed, 6 insertions(+)

diff --git a/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild b/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
index f70775d38f46..a547b9e58320 100644
--- a/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
+++ b/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
@@ -20,6 +20,9 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 
+# Do not complain about CFLAGS etc since ML projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
 src_compile() {
 	./remake --jobs=$(makeopts_jobs) || die
 }

diff --git a/sci-mathematics/flocq/flocq-4.1.1.ebuild b/sci-mathematics/flocq/flocq-4.1.1.ebuild
index f70775d38f46..a547b9e58320 100644
--- a/sci-mathematics/flocq/flocq-4.1.1.ebuild
+++ b/sci-mathematics/flocq/flocq-4.1.1.ebuild
@@ -20,6 +20,9 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 
+# Do not complain about CFLAGS etc since ML projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
 src_compile() {
 	./remake --jobs=$(makeopts_jobs) || die
 }


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/
@ 2025-02-16 22:35 Maciej Barć
  0 siblings, 0 replies; 7+ messages in thread
From: Maciej Barć @ 2025-02-16 22:35 UTC (permalink / raw
  To: gentoo-commits

commit:     bde3b54c68682c78ef13c10baf2e42b16606c926
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 16 21:56:50 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 22:35:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bde3b54c

sci-mathematics/flocq: bump to 4.2.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/flocq/Manifest           |  1 +
 sci-mathematics/flocq/flocq-4.2.1.ebuild | 39 ++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/sci-mathematics/flocq/Manifest b/sci-mathematics/flocq/Manifest
index 094cfd9c64ee..4a479412573a 100644
--- a/sci-mathematics/flocq/Manifest
+++ b/sci-mathematics/flocq/Manifest
@@ -1,2 +1,3 @@
 DIST flocq-4.1.0.tar.gz 447412 BLAKE2B 1b993a0e86bd440602b16b94ed5aff4b95a3c732eca87c683d239702b285dee8eaaf7dad77f730ae4929bb24504e5fd12b9a181d48efac4c3db7f0606637c018 SHA512 677e0de1406b3c7e5504d114a5b18ec07c719bbad79a2cfb750ac309fd5ab09be5493afdb1786b5a188cece59fddcd4167e28bf3be4facbdea8fe3b11cdf1ab1
 DIST flocq-4.1.1.tar.gz 450132 BLAKE2B 00821a3e135156640320d1afd548bc1912953bba64cc675b7b6c94b4e3c792c444bfbb4ef1a3352adefa466548083e32c2b1e4b38747dcbc6ac6de6d72250a74 SHA512 7076b8d5e33b8225e0124b9f66f4e3e1ed3e30804c5bca28e30d5e176c1b8c5c3d777a28c243fada17ab4ed32f580c6d606b11f045d48f7acb15e03db59870c4
+DIST flocq-4.2.1.tar.gz 447822 BLAKE2B c91f3e51d28854b15c526634494377b07b76dfa0fdbeeb0a3c2c27a27152fc2dd1ef6908f434f4f3be76d9172acdd616a51bea97b937886a3bf64bac37fcba18 SHA512 73a93f1b7d7b0d1ad731a87c1fbf80d363cc479259059618170d488eb7ff2e101d4e3adf850796b3d20455c94ba093ad39d9ef80e3e03e53b20f6e9df1886736

diff --git a/sci-mathematics/flocq/flocq-4.2.1.ebuild b/sci-mathematics/flocq/flocq-4.2.1.ebuild
new file mode 100644
index 000000000000..558a3dd17f20
--- /dev/null
+++ b/sci-mathematics/flocq/flocq-4.2.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multiprocessing
+
+DESCRIPTION="Formalization of floating-point arithmetic for the Coq proof assistant"
+HOMEPAGE="http://flocq.gforge.inria.fr/
+	https://gitlab.inria.fr/flocq/flocq/"
+SRC_URI="https://flocq.gitlabpages.inria.fr/releases/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	dev-lang/ocaml:=
+	>=sci-mathematics/coq-8.15:=
+"
+DEPEND="
+	${RDEPEND}
+"
+
+# Do not complain about CFLAGS etc since ML projects do not use them.
+QA_FLAGS_IGNORED='.*'
+
+src_compile() {
+	./remake --jobs=$(makeopts_jobs) || die
+}
+
+src_install() {
+	DESTDIR="${D}" ./remake install || die
+
+	dodoc AUTHORS INSTALL.md NEWS.md README.md
+
+	insinto "/usr/share/${PN}"
+	doins -r examples
+}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/
@ 2025-03-24  0:15 Maciej Barć
  0 siblings, 0 replies; 7+ messages in thread
From: Maciej Barć @ 2025-03-24  0:15 UTC (permalink / raw
  To: gentoo-commits

commit:     002bdcb161f918dc70e27c47825eecf0f7878e6b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 23 23:07:38 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Mar 24 00:15:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=002bdcb1

sci-mathematics/flocq: drop old 4.1.0-r1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/flocq/Manifest              |  1 -
 sci-mathematics/flocq/flocq-4.1.0-r1.ebuild | 37 -----------------------------
 2 files changed, 38 deletions(-)

diff --git a/sci-mathematics/flocq/Manifest b/sci-mathematics/flocq/Manifest
index 4a479412573a..88524046b1b1 100644
--- a/sci-mathematics/flocq/Manifest
+++ b/sci-mathematics/flocq/Manifest
@@ -1,3 +1,2 @@
-DIST flocq-4.1.0.tar.gz 447412 BLAKE2B 1b993a0e86bd440602b16b94ed5aff4b95a3c732eca87c683d239702b285dee8eaaf7dad77f730ae4929bb24504e5fd12b9a181d48efac4c3db7f0606637c018 SHA512 677e0de1406b3c7e5504d114a5b18ec07c719bbad79a2cfb750ac309fd5ab09be5493afdb1786b5a188cece59fddcd4167e28bf3be4facbdea8fe3b11cdf1ab1
 DIST flocq-4.1.1.tar.gz 450132 BLAKE2B 00821a3e135156640320d1afd548bc1912953bba64cc675b7b6c94b4e3c792c444bfbb4ef1a3352adefa466548083e32c2b1e4b38747dcbc6ac6de6d72250a74 SHA512 7076b8d5e33b8225e0124b9f66f4e3e1ed3e30804c5bca28e30d5e176c1b8c5c3d777a28c243fada17ab4ed32f580c6d606b11f045d48f7acb15e03db59870c4
 DIST flocq-4.2.1.tar.gz 447822 BLAKE2B c91f3e51d28854b15c526634494377b07b76dfa0fdbeeb0a3c2c27a27152fc2dd1ef6908f434f4f3be76d9172acdd616a51bea97b937886a3bf64bac37fcba18 SHA512 73a93f1b7d7b0d1ad731a87c1fbf80d363cc479259059618170d488eb7ff2e101d4e3adf850796b3d20455c94ba093ad39d9ef80e3e03e53b20f6e9df1886736

diff --git a/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild b/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
deleted file mode 100644
index a547b9e58320..000000000000
--- a/sci-mathematics/flocq/flocq-4.1.0-r1.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit multiprocessing
-
-DESCRIPTION="Formalization of floating-point arithmetic for the Coq proof assistant"
-HOMEPAGE="http://flocq.gforge.inria.fr/
-	https://gitlab.inria.fr/flocq/flocq/"
-SRC_URI="https://flocq.gitlabpages.inria.fr/releases/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-lang/ocaml:=
-	>=sci-mathematics/coq-8.12:=
-"
-DEPEND="${RDEPEND}"
-
-# Do not complain about CFLAGS etc since ML projects do not use them.
-QA_FLAGS_IGNORED='.*'
-
-src_compile() {
-	./remake --jobs=$(makeopts_jobs) || die
-}
-
-src_install() {
-	DESTDIR="${D}" ./remake install || die
-
-	dodoc AUTHORS INSTALL.md NEWS.md README.md
-
-	insinto /usr/share/${PN}
-	doins -r examples
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/
@ 2025-03-24  0:15 Maciej Barć
  0 siblings, 0 replies; 7+ messages in thread
From: Maciej Barć @ 2025-03-24  0:15 UTC (permalink / raw
  To: gentoo-commits

commit:     fb7aaa7ec643e2dc44a226b79f93294253402463
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 23 23:12:55 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Mon Mar 24 00:15:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb7aaa7e

sci-mathematics/flocq: drop old 4.1.1

Closes: https://bugs.gentoo.org/951919
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/flocq/Manifest           |  1 -
 sci-mathematics/flocq/flocq-4.1.1.ebuild | 37 --------------------------------
 2 files changed, 38 deletions(-)

diff --git a/sci-mathematics/flocq/Manifest b/sci-mathematics/flocq/Manifest
index 88524046b1b1..5b8b18fe37a7 100644
--- a/sci-mathematics/flocq/Manifest
+++ b/sci-mathematics/flocq/Manifest
@@ -1,2 +1 @@
-DIST flocq-4.1.1.tar.gz 450132 BLAKE2B 00821a3e135156640320d1afd548bc1912953bba64cc675b7b6c94b4e3c792c444bfbb4ef1a3352adefa466548083e32c2b1e4b38747dcbc6ac6de6d72250a74 SHA512 7076b8d5e33b8225e0124b9f66f4e3e1ed3e30804c5bca28e30d5e176c1b8c5c3d777a28c243fada17ab4ed32f580c6d606b11f045d48f7acb15e03db59870c4
 DIST flocq-4.2.1.tar.gz 447822 BLAKE2B c91f3e51d28854b15c526634494377b07b76dfa0fdbeeb0a3c2c27a27152fc2dd1ef6908f434f4f3be76d9172acdd616a51bea97b937886a3bf64bac37fcba18 SHA512 73a93f1b7d7b0d1ad731a87c1fbf80d363cc479259059618170d488eb7ff2e101d4e3adf850796b3d20455c94ba093ad39d9ef80e3e03e53b20f6e9df1886736

diff --git a/sci-mathematics/flocq/flocq-4.1.1.ebuild b/sci-mathematics/flocq/flocq-4.1.1.ebuild
deleted file mode 100644
index a547b9e58320..000000000000
--- a/sci-mathematics/flocq/flocq-4.1.1.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit multiprocessing
-
-DESCRIPTION="Formalization of floating-point arithmetic for the Coq proof assistant"
-HOMEPAGE="http://flocq.gforge.inria.fr/
-	https://gitlab.inria.fr/flocq/flocq/"
-SRC_URI="https://flocq.gitlabpages.inria.fr/releases/${P}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
-	dev-lang/ocaml:=
-	>=sci-mathematics/coq-8.12:=
-"
-DEPEND="${RDEPEND}"
-
-# Do not complain about CFLAGS etc since ML projects do not use them.
-QA_FLAGS_IGNORED='.*'
-
-src_compile() {
-	./remake --jobs=$(makeopts_jobs) || die
-}
-
-src_install() {
-	DESTDIR="${D}" ./remake install || die
-
-	dodoc AUTHORS INSTALL.md NEWS.md README.md
-
-	insinto /usr/share/${PN}
-	doins -r examples
-}


^ permalink raw reply related	[flat|nested] 7+ messages in thread

end of thread, other threads:[~2025-03-24  0:15 UTC | newest]

Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-04-01 22:57 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/flocq/ Maciej Barć
  -- strict thread matches above, loose matches on Subject: below --
2025-03-24  0:15 Maciej Barć
2025-03-24  0:15 Maciej Barć
2025-02-16 22:35 Maciej Barć
2023-04-11 14:18 Maciej Barć
2023-02-16 11:59 Maciej Barć
2022-12-24 22:26 Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox